Closed Bug 1187974 Opened 7 years ago Closed 7 years ago

ANDROID_NDK_VERSION doesn't do anything, gets out of date

Categories

(Firefox Build System :: Android Studio and Gradle Integration, defect)

defect
Not set
normal

Tracking

(firefox42 affected)

RESOLVED DUPLICATE of bug 1207680
Tracking Status
firefox42 --- affected

People

(Reporter: gcp, Assigned: droeh)

References

Details

https://wiki.mozilla.org/Mobile/Fennec/Android#Android_NDK_and_SDK_version_notes

claims the NDK version needed to build Fennec is indicated here:
http://hg.mozilla.org/mozilla-central/annotate/tip/mobile/android/config/mozconfigs/common#l32

But this isn't actually used for the builders, and currently even outdated.

There's zero warnings if you're trying to build with an unsupported NDK and the only place it's indicated is a Wiki page that is observable (see above) out of date.
I think Dylan expressed an interest in build systems at one point :)
Assignee: nobody → droeh
All our build environments are x86_64, now, so we can remove the uname checks from all our mozconfigs (for desktop too). That would remove the branch that uses ANDROID_NDK_VERSION, at which point we can remove ANDROID_NDK_VERSION.
Post Bug 1204260, this is gone.  But see Bug 1207680, which tracks extracting versions pins to a central location and consuming them throughout.
Status: NEW → RESOLVED
Closed: 7 years ago
Depends on: 1204260
Resolution: --- → DUPLICATE
Duplicate of bug: 1207680
Product: Firefox for Android → Firefox Build System
You need to log in before you can comment on or make changes to this bug.